GET /api/v202210/ghg/scope/scopeCategory

Retrieves all GHG scope categories and their associated scopes

GetGHGScopesWithCategoriesV202210
Use this endpoint to get the full hierarchy of GHG scopes (Scope 1, 2, 3) and their sub-categories for emissions classification. Requires GHG license.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

GHGScopeResponseV202210
Property Description Type
scopeCategories The list of Scope Categories under this scope GHGScopeCategoryChildV202210[]
GHGScopeCategoryChildV202210 properties
Property Description Type
scopeCategoryDescription The GHG Scope Category Description string
scopeCategoryId The GHG Scope Category Identifier integer (int32)
scopeCategoryInfo The GHG Scope Category Info string
scopeId The Scope Identifier integer (int32)
scopeInfo The Scope Info string
Example Response application/json
[
  {    "scopeCategories": [
      {      "scopeCategoryDescription": "string",      "scopeCategoryId": 1,      "scopeCategoryInfo": "string"
    }
    ],    "scopeId": 1,    "scopeInfo": "string"
  }
]